package com.huiju.estateagents.property.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huiju.estateagents.property.model.TpRentalHouse;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 出租公寓表 Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2019-05-13
 */
@Mapper
public interface TpRentalHouseMapper extends BaseMapper<TpRentalHouse> {
	
	/**
	 * 获取公寓列表
	 * @param page
	 * @param tpRentalHouse
	 * @return
	 */
	List<TpRentalHouse> getRentalList(Page page, @Param("tpRentalHouse") TpRentalHouse tpRentalHouse);
}
