package com.huiju.estateagents.third.entity;

import java.time.LocalDateTime;
import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 *  
 * </p>
 *
 * @author fxf
 * @since 2020-06-02
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaMpInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 公众号ID
     */
    @TableId(value = "appid", type = IdType.INPUT)
    private String appid;

    /**
     * Secret
     */
    private String secret;

    /**
     * 名称
     */
    private String name;

    /**
     * Token
     */
    private String token;

    /**
     * AccessToken
     */
    private String accessToken;

    /**
     * AES_KEY
     */
    private String aesKey;

    /**
     * 公司id 系统内置则为0
     */
    private Integer orgId;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 对应小程序的封面 mediaId
     */
    private String miniappMedia;
    private String miniappUrl;
}
